﻿Public Class ImageCombo

    Private Sub ImageCombo_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        C1Combo1.ComboStyle = C1.Win.C1List.ComboStyleEnum.DropdownList
        C1Combo1.DataMode = C1.Win.C1List.DataModeEnum.AddItem
        C1Combo1.AddItem("High")
        C1Combo1.AddItem("Low")
        C1Combo1.AddItem("Medium")
        C1Combo1.DrawMode = DrawMode.OwnerDrawVariable
    End Sub

    Private Sub C1Combo1_DrawItem(ByVal sender As Object, ByVal e As C1.Win.C1List.OwnerDrawCellEventArgs) Handles C1Combo1.DrawItem
        Dim text As String = e.Text
        Using brush As Brush = New SolidBrush(e.Style.BackColor)
            e.Graphics.FillRectangle(brush, e.CellRect)
        End Using
        If text.Length > 0 Then
            Dim priority As String = text
            Dim img As Image = SystemIcons.Exclamation.ToBitmap()

            If img IsNot Nothing Then
                e.Graphics.DrawImage(img, e.CellRect.X, e.CellRect.Y, 15, 15)
            End If
        End If
        e.Graphics.DrawString(text, C1Combo1.Font, System.Drawing.Brushes.Black, New RectangleF(e.CellRect.X + 15, e.CellRect.Y, e.CellRect.Width, e.CellRect.Height))
        e.Handled = True
    End Sub
End Class